import { J as Json, O as ObjectStorage, L as LogHandlerOptions, a as LogHandler, b as LoggerInterface, c as LogLevel } from './uuid-3854cb14.js';
export { dr as ArgumentsType, cj as AsyncMutex, cE as AsyncReturnType, U as BinInput, c$ as Channel, c_ as ChannelMessageEvent, dd as CryptoEncoder, ar as DAY_MS, aO as Day, at as DayInput, aN as DayInputLegacy, as as DayValue, aU as DecimalInput, aT as DecimalValue, d5 as DefaultListener, c9 as Disposable, c8 as Disposer, c7 as DisposerFunction, d6 as Emitter, d3 as EmitterAllHandler, d2 as EmitterHandler, da as Encoder, J as Json, dc as JsonEncoder, d4 as ListenerSignature, d0 as LocalChannel, a as LogHandler, L as LogHandlerOptions, c as LogLevel, cO as LogLevelAlias, cP as LogLevelAliasKey, cQ as LogLevelAliasType, cR as LogMessage, cN as Logger, cU as LoggerConsoleHandler, cT as LoggerContext, cS as LoggerContextInterface, b as LoggerInterface, cZ as LoggerMemoryHandler, dN as MemStorage, dM as MemStorageOptions, dg as Message, de as MessageAction, dk as MessageDefinitions, dl as MessageHub, df as MessageResult, di as MessagesDefaultMethods, dj as MessagesMethods, dh as MessagesOptions, ci as Mutex, dR as NestedArray, db as NoopEncoder, O as ObjectStorage, cs as Pool, co as PoolTask, cq as PoolTaskEvents, cm as PoolTaskFn, cp as PoolTaskIdConflictResolution, cn as PoolTaskState, b2 as Primitive, dp as PubSub, du as RPCFn, dt as RPCOptions, dv as RPCReturn, an as RenderMessagesOptions, ds as ReturnType, bB as RoundingMode, cH as SerialQueue, bM as SortableItem, cG as TaskEvents, cF as TaskFn, a7 as Uint8ArrayToHexDump, a6 as Uint8ArrayToJson, X as Uint8ArrayToString, ce as UseDefer, cb as UseDispose, c6 as XRX, V as _decodeUtf8Polyfill, _ as _encodeUtf8Polyfill, E as arrayAvg, F as arrayBatches, t as arrayEmptyInPlace, q as arrayFilterInPlace, l as arrayFlatten, m as arrayIntersection, w as arrayIsEqual, B as arrayMax, C as arrayMin, j as arrayMinus, A as arrayRandomElement, o as arrayRemoveElement, p as arraySetElement, y as arrayShuffle, z as arrayShuffleForce, x as arrayShuffleInPlace, u as arraySorted, v as arraySortedNumbers, D as arraySum, n as arraySymmetricDifference, s as arrayToggleInPlace, k as arrayUnion, i as arrayUnique, bo as avg, bm as between, c0 as cloneJsonObject, b$ as cloneObject, bx as cmp, bw as composeOrderby, G as createArray, d1 as createLocalChannelPair, ct as createPromise, dm as createPromiseProxy, h as csv, aS as dateStringToDays, aR as day, aw as dayDay, aM as dayDiff, aA as dayFromAny, aC as dayFromDate, aD as dayFromDateGMT, aH as dayFromParts, aI as dayFromString, aF as dayFromTimestamp, az as dayFromToday, av as dayMonth, aJ as dayMonthStart, aL as dayOffset, ay as dayToDate, aB as dayToDateGMT, ax as dayToParts, aG as dayToString, aE as dayToTimestamp, au as dayYear, aK as dayYearStart, cJ as debounce, aV as decimal, aY as decimalCentsPart, aW as decimalFromCents, aX as decimalToCents, N as decodeBase16, I as decodeBase32, Q as decodeBase58, S as decodeBase62, g as decrypt, aZ as deepEqual, a$ as deepMerge, a_ as deepStripUndefinedInPlace, e as deriveKeyPbkdf2, dI as detect, d as digest, b_ as empty, M as encodeBase16, H as encodeBase32, P as encodeBase58, R as encodeBase62, bU as encodeQuery, f as encrypt, bO as endSortWeight, bW as ensureKey, bX as ensureKeyAsync, a4 as equalBinary, b0 as escapeHTML, bA as escapeRegExp, T as estimateSizeForBase, dz as fetchBasic, dA as fetchJson, dE as fetchOptionsBasicAuth, dC as fetchOptionsFormURLEncoded, dD as fetchOptionsJson, dB as fetchText, aq as fixBrokenUth8String, aP as forEachDay, c3 as forTimes, ao as formatMessages, dP as formatMilliseconds, a3 as fromBase64, ab as fromCamelCase, a0 as fromHex, dH as getGlobal, cK as getGlobalContext, d7 as getGlobalEmitter, cM as getGlobalLogger, cV as getNamespaceFilterString, dG as getNavigator, bh as getSecureRandom, bi as getSecureRandomIfPossible, dO as getTimestamp, dF as getWindow, dx as httpMethod, cv as immediate, b5 as isArray, bb as isBoolean, dJ as isBrowser, bD as isEven, bC as isHalf, b9 as isInteger, cL as isLocalHost, bc as isNullOrUndefined, b8 as isNumber, b3 as isObject, bq as isPrime, bp as isPrimeRX, b4 as isPrimitive, cC as isPromise, b6 as isRecord, ba as isSafeInteger, b7 as isString, cz as isTimeout, bd as isUint8Array, Z as joinToUint8Array, bg as jsonStringify, bf as jsonStringifySafe, be as jsonStringifySorted, a5 as jsonToUint8Array, bZ as last, d9 as lazyListener, bS as linkifyPlainText, c1 as memoize, c2 as memoizeAsync, d8 as messages, bP as moveSortWeight, bu as objectIsEmpty, bs as objectMap, bt as objectMergeDisposable, dy as parseBasicAuth, dQ as parseDate, cX as parseLogLevel, bv as parseOrderby, bV as parseQuery, dK as platform, cD as promisify, ea as qid, bj as randomBoolean, bl as randomFloat, bk as randomInt, r as randomUint8Array, c5 as regExpEscape, c4 as regExpString, ap as renderMessages, bF as roundDown, bI as roundHalfAwayFromZero, bJ as roundHalfDown, bK as roundHalfEven, bH as roundHalfOdd, bL as roundHalfTowardsZero, bG as roundHalfUp, bE as roundUp, br as seededRandom, e5 as setUuidDefaultEncoding, bY as size, cu as sleep, bQ as sortedItems, by as sortedOrderby, bN as startSortWeight, ac as stringToBoolean, ae as stringToFloat, ad as stringToInteger, W as stringToUInt8Array, e1 as suid, e0 as suidBytes, e3 as suidBytesDate, e2 as suidDate, bn as sum, cI as throttle, cx as timeout, cw as timeoutReached, cy as timoutError, a1 as toBase64, a2 as toBase64Url, am as toBool, a8 as toCamelCase, a9 as toCapitalize, aa as toCapitalizeWords, aj as toFloat, $ as toHex, bT as toHumanReadableUrl, ak as toInt, al as toString, Y as toUint8Array, bz as toValidFilename, aQ as today, cA as tryTimeout, e9 as uname, b1 as unescapeHTML, cl as useAsyncMutex, K as useBase, cd as useDefer, ca as useDispose, cc as useDisposer, ch as useEventListener, dL as useExitHandler, cg as useInterval, cY as useLevelFilter, dn as useMessageHub, ck as useMutex, cW as useNamespaceFilter, cr as usePool, dq as usePubSub, dw as useRPC, bR as useSorted, cf as useTimeout, e6 as uuid, e4 as uuid32bit, dW as uuidB32, dT as uuidB62, dS as uuidBytes, e7 as uuidDecode, dY as uuidDecodeB32, dV as uuidDecodeB62, d$ as uuidDecodeV4, e8 as uuidEncode, dX as uuidEncodeB32, dU as uuidEncodeB62, d_ as uuidEncodeV4, dZ as uuidv4, af as valueToBoolean, ah as valueToFloat, ag as valueToInteger, ai as valueToString, cB as waitOn } from './uuid-3854cb14.js';

declare function urlBase64ToUint8Array(base64String: string): Uint8Array | undefined;

declare function gravatarURLByEmail(email: string, defaultURL?: string): string;

interface LocalStorageOptions {
    name: string;
    objectFromString?: (data: string) => any;
    objectToString?: (data: any) => string;
}
declare class LocalStorage<T = Json> implements ObjectStorage<T> {
    private name;
    private prefix;
    private pretty;
    private objectFromString;
    private objectToString;
    constructor(opt: LocalStorageOptions);
    setItem(key: string, value: T): void;
    getItem(key: string): T | undefined;
    removeItem(key: string): void;
    clear(): void;
    allKeys(): string[];
}

declare function LoggerBrowserHandler(opt?: LogHandlerOptions): LogHandler;
declare function LoggerBrowserSetupDebugFactory(opt?: LogHandlerOptions): (name?: string) => LoggerInterface;
/** @deprecated This output is default for initial use of Logger in browser environments. */
declare function activateConsoleDebug(_opt?: LogHandlerOptions): void;

/** @deprecated */
declare function LoggerBrowserClassicHandler(level?: LogLevel, opt?: LogHandlerOptions): LogHandler;

declare function supportsColors(): boolean;
declare function selectColor(namespace: string): string;

declare function setupBrowserLog(): void;

export { LocalStorage, LocalStorageOptions, LoggerBrowserClassicHandler, LoggerBrowserHandler, LoggerBrowserSetupDebugFactory, activateConsoleDebug, gravatarURLByEmail, selectColor, setupBrowserLog, supportsColors, urlBase64ToUint8Array };
